Stok.ly APISale OrdersCopy PageCreate a sale orderpost https://api.stok.ly/v2/saleordersBody ParamsorderIdstringThe id of this order. It is possible to provide an ID, due to the ability to create sale order whilst offline in ePOSuserIdstringThe id of the user that created this orderstagestringenumrequiredWhether this is an order or a quote.quoteorderAllowed:quoteordercreatedAtdate-timeThe date/time the order was made in ISO-8601 format. This will default to the current time.sourceTypestringenumrequiredThe source type (loosely translates to the channel type with one exception) of this order.user_definedweb_applicationeposmagentoebayamazonwoocommercemagento_twoshopifyShow 9 enum valuessourceIdstringIf source type is anything but web_application, the channel ID, that created the order, should be provided heresourceReferenceTypestringenumRelevant for orders created by a source using a licence for api verification (i.e. ePOS). Miscellaneous indicates a historic order created before this property was implemented and should not be used for future ordersmiscellaneouslicenceAllowed:miscellaneouslicencesourceReferenceIdstringWhen providing a sourceReferenceType licence, the licence ID should be provided herebarcodestringlength between 5 and 64The barcode will accept any characters and it is left to the discretion of the front end system to display/format the barcode.tagsarray of stringstagsADD stringitemsarray of objectsrequiredArray of sale order itemsitems*ADD objectinvoicesarray of objectsAn array of invoicesinvoicesADD objectpaymentsarray of objectsdeprecatedAn array of payments. This is now deprecated, use invoices and invoice payments.paymentsADD objectcarrierReferencestringThis value will be sent as part of any shipments to your carriers and should be provided by the carriercustomerReferencestringThe customer reference for this ordercustomerobjectCustomer detailscustomer objectshippingobjectShipping information for this ordershipping objectshipBydate-timedeliveryInstructionsstringnotificationRequestsarray of objectsAn array of objects containing information on how the user should be notified of their ordernotificationRequestsADD objectResponses 202Accepted 400The request body or parameters failed validation. 401No, or an invalid, authentication token was provided. 403The authenticated caller is not permitted to perform this action. 429The caller has exceeded a rate limit. 500An unexpected error occurred.Updated 4 months ago Get all item in/out sales-data recordsGet all sale ordersDid this page help you?YesNo